## /geometry/navigator/

Geometry navigator control setup.

## Sub-directories :

## Commands :

reset

  Reset navigator and navigation history.
  NOTE: must be called only after kernel has been
  initialized once through the run manager!

  Available Geant4 state(s) : Idle

verbose [level]

  Set run-time verbosity for the navigator.
  0 : Silent (default)
  1 : Display volume positioning and step lengths
  2 : Display step/safety info on point location
  3 : Display minimal state at -every- step
  4 : Maximum verbosity (very detailed!)
  NOTE: this command has effect -only- if Geant4 has
  been installed with the G4VERBOSE flag set!

  Range : level >=0 && level <=4

  Available at all Geant4 states.

  Parameters

  level | type i | Omittable : default value = 0 |

check_mode [checkFlag]

  Set navigator in -check_mode- state.
  This will cause extra checks to be applied during
  navigation. More strict and less tolerant conditions
  are applied. A run-time performance penalty may be
  observed when the -check_mode- state is activated.
  NOTE: this command has effect -only- if Geant4 has
  been installed with the G4VERBOSE flag set!

  Available Geant4 state(s) : Idle

  Parameters

  checkFlag | type b | Omittable : default value = 0 |